Changeset 712 for branches


Ignore:
Timestamp:
Dec 4, 2015, 5:36:23 AM (4 years ago)
Author:
ehem
Message:

Get patching for AR71xx devices functioning, add sample kernel config

Rebuilding the files-3.16 archive based on a later OpenWRT revision took
care of some issues. OpenWRT generic patch #721 had been disabled due to
earlier issues, but the AR71xx platforms require it; luckily this doesn't
appear to break BCM47xx builds. Add a potential kernel config to the
kernel area, this is uncertain to work, OpenWRT docs indicate it may need
an initial ramdisk with firmware installed.

Location:
branches/contrib/debian
Files:
3 added
4 edited
1 moved

Legend:

Unmodified
Added
Removed
  • branches/contrib/debian/package-build/linux-patch-ar71xx/debian/changelog

    r710 r712  
     1linux-patch-ar71xx (0.1.1) unstable; urgency=low
     2
     3  * Update files-3.16.tar.xz.  Originally the files had been copied from
     4    OpenWRT revision @44814, which was closer to 3.14.  Now they come from
     5    @46552, which is closer to 3.18.  drivers/net/dsa/mv88e6063.c was modified
     6    by changing several #ifdefs looking for versions <3.15 to make them look
     7    for versions <3.17 (Debian's 3.16 is apparently closer to 3.14 for these).
     8
     9 -- Elliott Mitchell <ehem@lair.drgnwing.com>  Wed, 02 Dec 2015 17:24:10 -0800
     10
    111linux-patch-ar71xx (0.1) unstable; urgency=low
    212
  • branches/contrib/debian/package-build/linux-patch-ar71xx/debian/copyright

    r710 r712  
    1010    3.2 files/patches are based on revision @31359.  (proposed version)
    1111    3.16 patches are based on the patches for 3.14 which come from revision
    12     @44814 and the patches for 3.18 which come from revision @46552.
     12    @44814 and the patches for 3.18 which come from revision @46552.  The
     13    3.16 files come from 46552, but with kernel version #ifdef's modified
     14    (notably mv88e6063.c).
    1315
    1416Upstream Author(s):
  • branches/contrib/debian/package-build/linux-patch-openwrt/debian/changelog

    r699 r712  
    1 linux-patch-openwrt (0.2.1) UNRELEASED; urgency=low
     1linux-patch-openwrt (0.2.2) unstable; urgency=low
     2
     3  * Enable patch 721-phy_packets.patch.  This one was problematic while trying
     4    to get BCM47xx operational.  This appears to be working now and required by
     5    AR71xx.
     6
     7 -- Elliott Mitchell <ehem+debwrt@m5p.com>  Wed, 02 Dec 2015 17:30:50 -0800
     8
     9linux-patch-openwrt (0.2.1) unstable; urgency=low
    210
    311  * Update 100-overlayfs_v11.patch for .68 point release.  An important
Note: See TracChangeset for help on using the changeset viewer.